/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtygis.custom.entity.dma.ImportExDuty;
import com.tofly.xrtygis.entity.Dutyroster;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人员排班信息表：TF_YWPN_DUTYROSTER_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface DutyrosterMapper extends BaseMapper<Dutyroster> {

    String getWorkName(@Param("workTime") String workTime);


    List<Dutyroster> getByMonth(@Param("month") String month , @Param("user") Long user,@Param("dutyType") String dutyType);

    List<String> getNightPersonByDay(@Param("day") String day, @Param("workTime") String workTime);

    String getPhoneByUserId(Long userId);

    Long getMaxId();

    boolean saveDutyrosters(@Param("list") List<ImportExDuty> ips);
}
